import { combineReducers } from 'redux';
import {reducer as toastrReducer} from 'react-redux-toastr';
import error from './error';
import options from './options';
import manuscripts from './mmm/manuscripts';
import works from './mmm/works';
import events from './mmm/events';
import actors from './mmm/actors';
import places from './mmm/places';
import collections from './mmm/collections';
import expressions from './mmm/expressions';
import manuscriptsFacets from './mmm/manuscriptsFacets';
import worksFacets from './mmm/worksFacets';
import eventsFacets from './mmm/eventsFacets';
import actorsFacets from './mmm/actorsFacets';
import placesFacets from './mmm/placesFacets';
import clientSideFacetedSearch from './mmm/clientSideFacetedSearch';

const reducer = combineReducers({
  manuscripts,
  manuscriptsFacets,
  works,
  worksFacets,
  events,
  eventsFacets,
  actors,
  actorsFacets,
  places,
  placesFacets,
  collections,
  expressions,
  clientSideFacetedSearch,
  options,
  error,
  toastr: toastrReducer,
  // browser: createResponsiveStateReducer({
  //   extraSmall: 500,
  //   small: 700,
  //   medium: 1000,
  //   large: 1400,
  //   extraLarge: 1600,
  // }),
});

export default reducer;
